Chapter 27. BulkRetrievalOption
Prev |  | Next

## Chapter 27. BulkRetrievalOption

Bulk retrieval configuration helper class.

Used by the begin() function of a container.

#### Public Members

Member | Description
--- | ---
BulkRetrievalOption |
operator== | Equality comparison.
operator= | Assignment operator.
bulk_buf_size | Return the buffer size set to this object.
bulk_retrieval | This function indicates that you need a bulk retrieval iterator, and it can be also used to optionally set the bulk read buffer size.
no_bulk_retrieval | This function indicates that you do not need a bulk retrieval iterator.

#### Group

Dbstl Helper Classes

## BulkRetrievalOption

### Function Details

    BulkRetrievalOption(Option bulk_retrieve1,
        u_int32_t bulk_buf_sz=DBSTL_BULK_BUF_SIZE)

### Class

BulkRetrievalOption

Prev |  | Next
DbstlElemTraits | Home | operator==